<?php

class ArhcEngine
{

    const code = "arhc";

    // on/off
    public static function isHC()
    {
        $m = $_COOKIE[self::code];
        $r = (isset($m) && ($m == "on"));
        return $r;
    }

    public static function updateMode()
    {
        if (isset($_GET[self::code])) {
            self::setMode($_GET[self::code]);
        }
    }

    private static function setMode($mode)
    {
        setcookie(self::code, $mode, time() + 31536000, "/");
        $_COOKIE[self::code] = $mode;
    }

    // --------------------------------
    public static function replaceStyles()
    {
        if (self::isHC()) {
            $uri = get_stylesheet_directory_uri() . sprintf("/style-%s.css", self::code);
            $ver = wp_get_theme()->get("Version");
            wp_enqueue_style("style-" . self::code, $uri, [], $ver);
            wp_dequeue_style("style");
            
            
            $file = get_stylesheet_directory() . "/style.css";
            $file2 = get_stylesheet_directory() . sprintf("/style-%s.css", self::code);
            (new ArhcConverter())->create($file, $file2, true);
        }
    }
}

