<?php

class ArhcWidget extends WP_Widget
{

    public function __construct()
    {
        $ops = array(
            'classname' => 'ArhcWidget',
            'description' => 'Переключает между обычным и высококонтрастным режимом'
        );
        parent::__construct('ArhcWidget', 'Для слабовидящих', $ops);
    }

    public function widget($args, $instance)
    {
        if (ArhcEngine::isHC()){
            $m = "off";
            $m2="отключить";
        }
        else{
            $m = "on";
            $m2="включить";
        }
        $s = sprintf('<p><a href="?arhc=%s" class="hc-mode-%s">%s</a></p>', $m, $m, $m2);

        echo $args['before_widget'];
        echo $args['before_title'] . apply_filters('widget_title', $instance['title']) . $args['after_title'];
        
        echo $s;
        echo $args['after_widget'];
    }

    public function form($instance)
    {
        $title = ! empty( $instance['title'] ) ? $instance['title'] : "Режим для слабовидящих";
        ?>
		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>">Заголовок</label> 
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
		</p>
		<?php 
    }
}

