<?php
/*
 * Plugin Name: Режим для слабовидящих
 * Plugin URI: http://арив.рф/режим-для-слабовидящих/
 * Description: Позволяет автоматически создать стиль отображения для слабовидящих и переключаться между режимами
 * Version: 0.9b
 * Author: Иван Аристов
 * Author URI: http://арив.рф
 * License: GPL2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 */
spl_autoload_register(function ($cn) {
    if (strpos($cn, "Arhc") === 0)
        include sprintf("%s/funcs/%s.php", __DIR__, $cn);
});

add_action('send_headers', [
    "ArhcEngine",
    "updateMode"
]);

add_action('wp_enqueue_scripts', [
    "ArhcEngine",
    "replaceStyles"
], 9999);

add_action('wp_enqueue_scripts', [
    "ArhcFront",
    "styles"
], 10);

add_shortcode('arhc', [
    "ArhcFront",
    "shortcode"
]);

add_action( 'widgets_init', function(){
    register_widget( 'ArhcWidget' );
});

